function writeRegister(dev, reg, datain, precision)
  ARDUINO_I2C_WRITEREG = 24;
  if nargin < 3 || nargin > 4
    print_usage ();
  endif

  if ~isnumeric(reg)
    error("expected reg to be a number");
  endif
 
  if nargin == 3
    if  !ischar(precision)
      error("expected presision to be a atring");
    endif
    precision = tolower(precision);
    if !strcmp(precision, "uint8") && !strcmp(precision, "int8") && !strcmp(precision, "uint16") && !strcmp(precision, "int16")
      error("expected pression to be (u)int8 or (u)int16 string");
    endif
  else
    precision = 'uint8';
  endif

  sendCommand(dev.arduinoobj, "", ARDUINO_I2C_WRTEREG, [dev.address reg datain]);

endfunction
